<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:34:03 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
HttpService (HttpComponents Core 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="HttpService (HttpComponents Core 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/HttpService.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpResponseInterceptorList.html" title="interface in org.apache.http.protocol"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/protocol/ImmutableHttpProcessor.html" title="class in org.apache.http.protocol"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/protocol/HttpService.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpService.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.protocol</FONT>
<BR>
Class HttpService</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.protocol.HttpService</B>
</PRE>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../org/apache/http/annotation/Immutable.html" title="annotation in org.apache.http.annotation">@Immutable</A>
</FONT>public class <B>HttpService</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
<tt>HttpService</tt> is a server side HTTP protocol handler based on
 the classic (blocking) I/O model.
 <p/>
 <tt>HttpService</tt> relies on <A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol"><CODE>HttpProcessor</CODE></A> to generate mandatory
 protocol headers for all outgoing messages and apply common, cross-cutting
 message transformations to all incoming and outgoing messages, whereas
 individual <A HREF="../../../../org/apache/http/protocol/HttpRequestHandler.html" title="interface in org.apache.http.protocol"><CODE>HttpRequestHandler</CODE></A>s are expected to implement
 application specific content generation and processing.
 <p/>
 <tt>HttpService</tt> uses <A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol"><CODE>HttpRequestHandlerResolver</CODE></A> to resolve
 matching request handler for a particular request URI of an incoming HTTP
 request.
 <p/>
 <tt>HttpService</tt> can use optional <A HREF="../../../../org/apache/http/protocol/HttpExpectationVerifier.html" title="interface in org.apache.http.protocol"><CODE>HttpExpectationVerifier</CODE></A>
 to ensure that incoming requests meet server's expectations.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#HttpService(org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.HttpResponseFactory)">HttpService</A></B>(<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;proc,
            <A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy,
            <A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1) use <A HREF="../../../../org/apache/http/protocol/HttpService.html#HttpService(org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.HttpResponseFactory, org.apache.http.protocol.HttpRequestHandlerResolver, org.apache.http.params.HttpParams)"><CODE>HttpService(HttpProcessor,
  ConnectionReuseStrategy, HttpResponseFactory, HttpRequestHandlerResolver, HttpParams)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#HttpService(org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.HttpResponseFactory, org.apache.http.protocol.HttpRequestHandlerResolver, org.apache.http.protocol.HttpExpectationVerifier, org.apache.http.params.HttpParams)">HttpService</A></B>(<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;processor,
            <A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy,
            <A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory,
            <A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol">HttpRequestHandlerResolver</A>&nbsp;handlerResolver,
            <A HREF="../../../../org/apache/http/protocol/HttpExpectationVerifier.html" title="interface in org.apache.http.protocol">HttpExpectationVerifier</A>&nbsp;expectationVerifier,
            <A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a new HTTP service.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#HttpService(org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.HttpResponseFactory, org.apache.http.protocol.HttpRequestHandlerResolver, org.apache.http.params.HttpParams)">HttpService</A></B>(<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;processor,
            <A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy,
            <A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory,
            <A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol">HttpRequestHandlerResolver</A>&nbsp;handlerResolver,
            <A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a new HTTP service.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#doService(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">doService</A></B>(<A HREF="../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
          <A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
          <A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The default implementation of this method attempts to resolve an
 <A HREF="../../../../org/apache/http/protocol/HttpRequestHandler.html" title="interface in org.apache.http.protocol"><CODE>HttpRequestHandler</CODE></A> for the request URI of the given request
 and, if found, executes its
 <A HREF="../../../../org/apache/http/protocol/HttpRequestHandler.html#handle(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)"><CODE>HttpRequestHandler.handle(HttpRequest, HttpResponse, HttpContext)</CODE></A>
 method.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#getParams()">getParams</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#handleException(org.apache.http.HttpException, org.apache.http.HttpResponse)">handleException</A></B>(<A HREF="../../../../org/apache/http/HttpException.html" title="class in org.apache.http">HttpException</A>&nbsp;ex,
                <A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Handles the given exception and generates an HTTP response to be sent
 back to the client to inform about the exceptional condition encountered
 in the course of the request processing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#handleRequest(org.apache.http.HttpServerConnection, org.apache.http.protocol.HttpContext)">handleRequest</A></B>(<A HREF="../../../../org/apache/http/HttpServerConnection.html" title="interface in org.apache.http">HttpServerConnection</A>&nbsp;conn,
              <A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Handles receives one HTTP request over the given connection within the
 given execution context and sends a response back to the client.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#setConnReuseStrategy(org.apache.http.ConnectionReuseStrategy)">setConnReuseStrategy</A></B>(<A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http"><CODE>ConnectionReuseStrategy</CODE></A> using constructor</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#setExpectationVerifier(org.apache.http.protocol.HttpExpectationVerifier)">setExpectationVerifier</A></B>(<A HREF="../../../../org/apache/http/protocol/HttpExpectationVerifier.html" title="interface in org.apache.http.protocol">HttpExpectationVerifier</A>&nbsp;expectationVerifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/protocol/HttpExpectationVerifier.html" title="interface in org.apache.http.protocol"><CODE>HttpExpectationVerifier</CODE></A> using constructor</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#setHandlerResolver(org.apache.http.protocol.HttpRequestHandlerResolver)">setHandlerResolver</A></B>(<A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol">HttpRequestHandlerResolver</A>&nbsp;handlerResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol"><CODE>HttpRequestHandlerResolver</CODE></A> using constructor</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#setHttpProcessor(org.apache.http.protocol.HttpProcessor)">setHttpProcessor</A></B>(<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;processor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol"><CODE>HttpProcessor</CODE></A> using constructor</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#setParams(org.apache.http.params.HttpParams)">setParams</A></B>(<A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http"><CODE>HttpResponseFactory</CODE></A> using constructor</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpService.html#setResponseFactory(org.apache.http.HttpResponseFactory)">setResponseFactory</A></B>(<A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http"><CODE>HttpResponseFactory</CODE></A> using constructor</I></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="HttpService(org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.HttpResponseFactory, org.apache.http.protocol.HttpRequestHandlerResolver, org.apache.http.protocol.HttpExpectationVerifier, org.apache.http.params.HttpParams)"><!-- --></A><H3>
HttpService</H3>
<PRE>
public <B>HttpService</B>(<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;processor,
                   <A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy,
                   <A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory,
                   <A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol">HttpRequestHandlerResolver</A>&nbsp;handlerResolver,
                   <A HREF="../../../../org/apache/http/protocol/HttpExpectationVerifier.html" title="interface in org.apache.http.protocol">HttpExpectationVerifier</A>&nbsp;expectationVerifier,
                   <A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD>Create a new HTTP service.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>processor</CODE> - the processor to use on requests and responses<DD><CODE>connStrategy</CODE> - the connection reuse strategy<DD><CODE>responseFactory</CODE> - the response factory<DD><CODE>handlerResolver</CODE> - the handler resolver. May be null.<DD><CODE>expectationVerifier</CODE> - the expectation verifier. May be null.<DD><CODE>params</CODE> - the HTTP parameters<DT><B>Since:</B></DT>
  <DD>4.1</DD>
</DL>
</DL>
<HR>

<A NAME="HttpService(org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.HttpResponseFactory, org.apache.http.protocol.HttpRequestHandlerResolver, org.apache.http.params.HttpParams)"><!-- --></A><H3>
HttpService</H3>
<PRE>
public <B>HttpService</B>(<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;processor,
                   <A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy,
                   <A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory,
                   <A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol">HttpRequestHandlerResolver</A>&nbsp;handlerResolver,
                   <A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD>Create a new HTTP service.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>processor</CODE> - the processor to use on requests and responses<DD><CODE>connStrategy</CODE> - the connection reuse strategy<DD><CODE>responseFactory</CODE> - the response factory<DD><CODE>handlerResolver</CODE> - the handler resolver. May be null.<DD><CODE>params</CODE> - the HTTP parameters<DT><B>Since:</B></DT>
  <DD>4.1</DD>
</DL>
</DL>
<HR>

<A NAME="HttpService(org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.HttpResponseFactory)"><!-- --></A><H3>
HttpService</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public <B>HttpService</B>(<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;proc,
                              <A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy,
                              <A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.1) use <A HREF="../../../../org/apache/http/protocol/HttpService.html#HttpService(org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.HttpResponseFactory, org.apache.http.protocol.HttpRequestHandlerResolver, org.apache.http.params.HttpParams)"><CODE>HttpService(HttpProcessor,
  ConnectionReuseStrategy, HttpResponseFactory, HttpRequestHandlerResolver, HttpParams)</CODE></A></I>
<P>
<DD>Create a new HTTP service.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>proc</CODE> - the processor to use on requests and responses<DD><CODE>connStrategy</CODE> - the connection reuse strategy<DD><CODE>responseFactory</CODE> - the response factory</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="setHttpProcessor(org.apache.http.protocol.HttpProcessor)"><!-- --></A><H3>
setHttpProcessor</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public void <B>setHttpProcessor</B>(<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;processor)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol"><CODE>HttpProcessor</CODE></A> using constructor</I>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setConnReuseStrategy(org.apache.http.ConnectionReuseStrategy)"><!-- --></A><H3>
setConnReuseStrategy</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public void <B>setConnReuseStrategy</B>(<A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http"><CODE>ConnectionReuseStrategy</CODE></A> using constructor</I>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setResponseFactory(org.apache.http.HttpResponseFactory)"><!-- --></A><H3>
setResponseFactory</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public void <B>setResponseFactory</B>(<A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>&nbsp;responseFactory)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http"><CODE>HttpResponseFactory</CODE></A> using constructor</I>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setParams(org.apache.http.params.HttpParams)"><!-- --></A><H3>
setParams</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public void <B>setParams</B>(<A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http"><CODE>HttpResponseFactory</CODE></A> using constructor</I>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setHandlerResolver(org.apache.http.protocol.HttpRequestHandlerResolver)"><!-- --></A><H3>
setHandlerResolver</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public void <B>setHandlerResolver</B>(<A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol">HttpRequestHandlerResolver</A>&nbsp;handlerResolver)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol"><CODE>HttpRequestHandlerResolver</CODE></A> using constructor</I>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setExpectationVerifier(org.apache.http.protocol.HttpExpectationVerifier)"><!-- --></A><H3>
setExpectationVerifier</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public void <B>setExpectationVerifier</B>(<A HREF="../../../../org/apache/http/protocol/HttpExpectationVerifier.html" title="interface in org.apache.http.protocol">HttpExpectationVerifier</A>&nbsp;expectationVerifier)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.1) set <A HREF="../../../../org/apache/http/protocol/HttpExpectationVerifier.html" title="interface in org.apache.http.protocol"><CODE>HttpExpectationVerifier</CODE></A> using constructor</I>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getParams()"><!-- --></A><H3>
getParams</H3>
<PRE>
public <A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A> <B>getParams</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="handleRequest(org.apache.http.HttpServerConnection, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
handleRequest</H3>
<PRE>
public void <B>handleRequest</B>(<A HREF="../../../../org/apache/http/HttpServerConnection.html" title="interface in org.apache.http">HttpServerConnection</A>&nbsp;conn,
                          <A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
                   throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                          <A HREF="../../../../org/apache/http/HttpException.html" title="class in org.apache.http">HttpException</A></PRE>
<DL>
<DD>Handles receives one HTTP request over the given connection within the
 given execution context and sends a response back to the client.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - the active connection to the client<DD><CODE>context</CODE> - the actual execution context.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an I/O error.
<DD><CODE><A HREF="../../../../org/apache/http/HttpException.html" title="class in org.apache.http">HttpException</A></CODE> - in case of HTTP protocol violation or a processing
   problem.</DL>
</DD>
</DL>
<HR>

<A NAME="handleException(org.apache.http.HttpException, org.apache.http.HttpResponse)"><!-- --></A><H3>
handleException</H3>
<PRE>
protected void <B>handleException</B>(<A HREF="../../../../org/apache/http/HttpException.html" title="class in org.apache.http">HttpException</A>&nbsp;ex,
                               <A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response)</PRE>
<DL>
<DD>Handles the given exception and generates an HTTP response to be sent
 back to the client to inform about the exceptional condition encountered
 in the course of the request processing.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ex</CODE> - the exception.<DD><CODE>response</CODE> - the HTTP response.</DL>
</DD>
</DL>
<HR>

<A NAME="doService(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
doService</H3>
<PRE>
protected void <B>doService</B>(<A HREF="../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
                         <A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
                         <A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
                  throws <A HREF="../../../../org/apache/http/HttpException.html" title="class in org.apache.http">HttpException</A>,
                         <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>The default implementation of this method attempts to resolve an
 <A HREF="../../../../org/apache/http/protocol/HttpRequestHandler.html" title="interface in org.apache.http.protocol"><CODE>HttpRequestHandler</CODE></A> for the request URI of the given request
 and, if found, executes its
 <A HREF="../../../../org/apache/http/protocol/HttpRequestHandler.html#handle(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)"><CODE>HttpRequestHandler.handle(HttpRequest, HttpResponse, HttpContext)</CODE></A>
 method.
 <p>
 Super-classes can override this method in order to provide a custom
 implementation of the request processing logic.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>request</CODE> - the HTTP request.<DD><CODE>response</CODE> - the HTTP response.<DD><CODE>context</CODE> - the execution context.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an I/O error.
<DD><CODE><A HREF="../../../../org/apache/http/HttpException.html" title="class in org.apache.http">HttpException</A></CODE> - in case of HTTP protocol violation or a processing
   problem.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/HttpService.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpResponseInterceptorList.html" title="interface in org.apache.http.protocol"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/protocol/ImmutableHttpProcessor.html" title="class in org.apache.http.protocol"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/protocol/HttpService.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpService.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
